Bug 1490835 - Xorg windows move to other screen after monitor suspend
Summary: Xorg windows move to other screen after monitor suspend
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1492415
Blocks: 1491565
TreeView+ depends on / blocked
 
Reported: 2017-09-12 11:02 UTC by Jan Vlug
Modified: 2018-11-30 20:51 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:51:19 UTC


Attachments (Terms of Use)

Description Jan Vlug 2017-09-12 11:02:10 UTC
When my monitors suspend (one HiDPI on display port, one regular on HDMI), Xorg windows (Firefox, Thunderbird) are after that the displays wake op moved from the HiDPI display to the regular HDMI display. This does not happen for native wayland applications like Files.
I'm using nouveau on a fully updated F26.

Graphics:  Card: NVIDIA GP107 [GeForce GTX 1050 Ti]
           Display Server: wayland (X.org 119.3 ) drivers: modesetting,fbdev,vesa
           Resolution: 1680x1050@59.85hz, 3840x2160@59.98hz
           OpenGL: renderer: Gallium 0.4 on NV137 version: 4.2 Mesa 17.1.7

Comment 1 Jan Vlug 2017-09-16 09:08:37 UTC
I see this in the logging:
sep 16 11:04:32 nyx systemd[1]: Started Fingerprint Authentication Daemon.
sep 16 11:04:33 nyx gnome-shell[2164]: Failed to apply DRM plane transform 0: Invalid argument
sep 16 11:04:33 nyx kernel: nouveau 0000:23:00.0: disp: 0x61ec[0]: INIT_GENERIC_CONDITON: unknown 0x07
sep 16 11:04:33 nyx gnome-shell[2164]: Failed to read EDID from 'DVI-D-1': No such file or directory
sep 16 11:04:33 nyx gnome-shell[2164]: Failed to read EDID from 'DVI-D-1': No such file or directory
sep 16 11:04:33 nyx gnome-shell[2164]: Failed to read EDID from 'DVI-D-1': No such file or directory
sep 16 11:04:33 nyx gnome-shell[2164]: Failed to read EDID from 'DVI-D-1': No such file or directory
sep 16 11:04:33 nyx gnome-shell[2164]: Failed to read EDID from 'DVI-D-1': No such file or directory
sep 16 11:04:33 nyx gnome-shell[2164]: Failed to read EDID from 'DVI-D-1': No such file or directory
sep 16 11:04:33 nyx gnome-shell[2164]: Failed to apply DRM plane transform 0: Invalid argument
sep 16 11:04:33 nyx gnome-shell[2164]: Failed to apply DRM plane transform 0: Invalid argument
sep 16 11:04:41 nyx audit[5030]: USER_AUTH pid=5030 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:authentication grantors=pam_unix,pam_gnome_keyring acct="jan" exe="/usr/libexec/gdm-session-worker" hostname=nyx addr=? terminal=/dev/tty2 res=success'
sep 16 11:04:41 nyx audit[5030]: USER_ACCT pid=5030 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:accounting grantors=pam_unix,pam_localuser acct="jan" exe="/usr/libexec/gdm-session-worker" hostname=nyx addr=? terminal=/dev/tty2 res=success'
sep 16 11:04:41 nyx audit[5030]: CRED_REFR pid=5030 uid=0 auid=4294967295 ses=4294967295 subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 msg='op=PAM:setcred grantors=pam_unix,pam_gnome_keyring acct="jan" exe="/usr/libexec/gdm-session-worker" hostname=nyx addr=? terminal=/dev/tty2 res=success'
sep 16 11:04:41 nyx gnome-software-service.desktop[2657]: 09:04:41:0216 GsPluginShellExtensions no app for changed topIcons@adel.gadllah@gmail.com
sep 16 11:04:43 nyx gnome-shell[2164]: g_hash_table_foreach: assertion 'version == hash_table->version' failed

Comment 2 Ben Cotton 2018-11-27 16:17:52 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Ben Cotton 2018-11-30 20:51:19 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.